.section {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: space-evenly;
}

.sub-sec1 {
    width: 50%;
    height: 100vh;
    /* background-color: blue; */
}

.center {
    width: 20vw;
    height: 10vw;
}

.sahu img {
    animation: upar-niche 8s infinite;
}

.sahu img :hover {

    scale: 1.11;
    transition: all 1s ease-in-out;
}

.hi {

    margin: 20px;
    font-size: 2.2vw;
    width: 100%;
    color: cyan;
    margin-left: 50px;

}

.hi span {
    color: rgb(1, 71, 71);
}

.type {
    color: aqua;
    font-size: 2.2vw;
    width: 30vw;
    height: 8vhvh;
    margin: 8px;
    margin-left: 50px;
    border-right: 3px solid rgb(6, 110, 110);
    overflow: hidden;
    letter-spacing: 2px;
    white-space: nowrap;
    /* animation: blink- 2s infinite; */
    animation: typing 8s steps(40, end) infinite, blink-cursor 1s infinite;
    /* position: relative; */

}

@keyframes blink-cursor {
    50% {
        border-right: 3px solid transparent;
    }

    100% {
        border-right: 3px solid rgb(6, 110, 110);
    }

}

@keyframes typing {
    from {
        width: 0;
    }

    to {
        width: 30vw;
    }
}



.sub-sec1 .conclude {
    color: cyan;
    margin: 30px;
    width: 50vw;
    font-size: 2vw;
    letter-spacing: 2px;
}

.conclude a {
    text-decoration: none;
    color: rgb(5, 105, 105);

}

.sub-sec2 {
    width: 50%;
    height: 100vh;
    flex-direction: column;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    color: black;
    position: relative;
    bottom: 30px;
}

.cir {
    animation: background-color 6s linear infinite, upar-niche 6s linear infinite, motion 2s linear infinite;
    height: 300px;
    border: 4px solid rgb(0, 63, 119);
    background-color: tomato;
    border-radius: 50%;
    width: 300px;
    background-image: url('coding.png');
    background-size: cover;
}

@keyframes background-color {
    10% {
        border: 4px solid rgb(99, 8, 8);
        border-radius: 10%;
    }

    20% {
        border: 4px solid rgb(255, 225, 0);
        border-radius: 20%;

    }

    30% {
        border: 4px solid rgb(0, 255, 221);
        border-radius: 30%;

    }

    40% {
        border: 4px solid rgb(68, 255, 0);
        border-radius: 40%;

    }

    50% {
        border: 4px solid rgb(0, 0, 255);
        border-radius: 50%;
    }

    60% {
        border: 4px solid rgb(255, 0, 221);
        /* border-top-left-radius: 10%;
        border-top-right-radius: 10%; */

    }

    70% {
        border: 4px solid rgb(255, 0, 0);
        /* border-bottom-left-radius: 10%;
        border-bottom-right-radius: 10%; */
    }

    80% {
        border: 4px solid rgb(0, 26, 255);
        /* border-top-left-radius: 10%;
        border-bottom-left-radius: 10%; */

    }

    90% {
        border: 4px solid rgb(0, 213, 255);
        /* border-bottom-right-radius: 10%;
        border-top-right-radius: 10%; */

    }

    100% {
        border: 4px solid rgb(67, 2, 59);

    }
}

@keyframes upar-niche {
    10% {
        position: relative;
        bottom: 5px;
    }
}

.cir:hover {
    scale: 1.1;
    transition: all 1s ease-in;
    animation: background-color 3s linear infinite, dj 1s infinite;
}

.intro {
    font-size: 2vw;
    font-size: italic;
    color: rgb(7, 89, 89);
    animation: upar-niche 2s linear infinite;
}

.intro:hover {
    animation: dj 2s linear infinite;

}

@keyframes dj {
    10% {
        color: rgb(99, 8, 8);
        scale: 1.1;
    }

    20% {
        color: rgb(243, 255, 18);
        scale: 1;


    }

    30% {
        color: rgb(19, 99, 8);
        scale: 1.1;
    }

    40% {
        color: rgb(8, 88, 99);
        scale: 1;

    }

    50% {
        color: rgb(99, 8, 8);
        scale: 1.1;

    }

    60% {
        color: rgb(8, 99, 66);
        scale: 1;

    }

    70% {
        color: rgb(8, 88, 99);
        scale: 1.1;

    }

    80% {
        color: rgb(16, 8, 99);
        scale: 1;

    }

    90% {
        color: rgb(99, 8, 87);
        scale: 1.1;

    }

    100% {
        color: rgb(67, 2, 59);
        scale: 1;

    }
}

.contact {
    flex-direction: row;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 20vw;
    font-size: 3vw;
    margin-bottom: 20px;
    animation: motion 2s linear infinite;
}

.i:hover {
    color: rgb(159, 2, 2);
    animation: dj 2s linear infinite;

}

.w:hover {
    color: green;
    animation: dj 2s linear infinite;

}

.m:hover {
    color: rgb(235, 19, 19);
    animation: dj 2s linear infinite;

}

.about {
    /* background-color: aquamarine; */
    height: 150vh;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    color: rgb(0, 105, 128);
    position: relative;
    bottom: 10vh;
    width: 100vw;
}

h1 {
    animation: motion 1s linear infinite;
    font-size: 4vw;
}

@keyframes motion {
    50% {
        scale: 1.01;
    }

}

h1:hover {
    border-bottom: 2px solid rgb(0, 96, 128);
    color: darkcyan;
    scale: 1.2;
}

.sub-about {
    height: 50vh;
    width: 100vw;
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.sub-about .language {
    width: 40vw;
    height: 40vh;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    animation: motion 2s linear infinite;
    border-radius: 8px;
    box-shadow: 3px 3px rgb(211, 210, 210);
    border: 2px solid rgb(211, 210, 210);
    color: rgb(96, 193, 182);
}

.sub-about h3 {

    color: rgb(9, 121, 108);
}

.part {
    width: 20vw;
    height: 100%;
    margin: 4px;
    border-radius: 4px;
}

.language:hover {
    animation: rotate 4s ease-in-out;
}

@keyframes rotate {
    to {
        rotate: 45deg;
        scale: 1.2;
    }

    from {
        rotate: 0deg;
        scale: 1;
    }


}

.part .BTN a {
    text-decoration: none;
    color: rgb(6, 72, 72);
    width: 10vw;
    height: 6vh;

}

.part button {
    width: 10vw;
    height: 6vh;
    border-radius: 8px solid transparent;
    background-color: #f3f3f3;
    color: rgb(8, 163, 163);
}

.part button a:hover {
    background-color: aqua;
    color: white;
}

.part button:hover {
    background-color: aqua;
    color: white;
}


.part-1 {
    background-image: url("html.png");
    background-size: cover;
}

.part-1 {
    background-image: url("html.png");
    background-size: contain;
}

.part-2 {
    background-image: url("css.png");
    background-size: contain;
    background-repeat: no-repeat;
}

.part-3 {
    background-image: url("js.png");
    background-size: contain;
}

.part-4 {
    background-image: url("c.png");
    background-size: contain;
    background-repeat: no-repeat;
    text-align: center;
    background-color: rgb(234, 248, 223);
}

.part-5 {
    background-image: url("cpp.png");
    background-size: contain;
    background-repeat: no-repeat;
    text-align: center;
    background-color: rgb(234, 230, 225);
}

.part-6 {
    background-image: url("javalogo.gif");
    width: 10vw;
    height: 30vh;
    background-repeat: no-repeat;
}

.part2 {
    background-color: white !important;
}

@media (max-width:700px) {
    .section {
        flex-direction: column;
        display: flex;
        justify-content: space-around;
        width: 100vw;
        height: 300vh;
    }

    .sub-about {
        flex-direction: column;
            height: 50vh;
            width: 100vw;
            display: flex;
            justify-content: space-evenly;
            align-items: center;
        
    }

    .sub-sec1 {
        width: 100vw;
        height: 150vh;

    }

    .sahu {
        position: relative;
        right: 10px;
    }

    .hi {
        font-size: 30px;
        width: 100vw;
        position: relative;
        bottom: 10px;
        right: 15px;
    }

    .type {
        /* background-color: blueviolet; */
        width: 75vw;
        height: 8vh;
        font-size: 6vw;
        position: relative;
        bottom: 10px;
        left: -15px;
        animation: typing1 8s steps(74, end) infinite, blink-cursor 1s infinite;
        letter-spacing: 1px;
        font-style: italic;
    }

    @keyframes typing1 {
        from {
            width: 0;
        }

        to {
            width: 75vw;
        }
    }

    .sub-sec1 .conclude {
        width: 100vw;
        height: 20vh;
        font-size: 4vw;
        letter-spacing: 4px;
        position: relative;
        left: 20px;
        white-space: wrap-reverse;
        margin: 6px;

    }

    .sub-sec2 {
        width: 100vw;
        height: 100vh;
        position: relative;
        bottom: 80vh;
        gap: 10vh;
    }

    .intro {
        font-size: 4vw;
    }
    .media{
        font-size: 50px;
    }

    .intro:hover {
        font-size: 4vw;
        border-bottom: 3px solid rgb(139, 0, 0);
        transition: all 1s ease-in-out;
        animation: dj 1s infinite;
        scale: 1.2;
    }

    .contact {
        width: 100vw;
        display: flex;
        gap: 0px;
    }
    .about{
        display: none;
    }
    
}